package com.aucma.report.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 质检材料信息对象 record_quality_material
 *
 * @author Yinq
 * @date 2024-01-07
 */
public class RecordQualityMaterial extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * SAP计划编号
     */
    @Excel(name = "SAP计划编号")
    private String orderCode;

    /**
     * 物料编码
     */
    @Excel(name = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String materialName;

    /**
     * 物料型号
     */
    @Excel(name = "物料型号")
    private String materialModel;

    /**
     * 信息类型（1=厂家代码;2=是否回用;3=其他信息）
     */
    @Excel(name = "信息类型", readConverterExp = "1==厂家代码;2=是否回用;3=其他信息")
    private String infoType;

    /**
     * 蒸发器F
     */
    @Excel(name = "蒸发器F")
    private String zhengFaQiF;

    /**
     * 蒸发器Z
     */
    @Excel(name = "蒸发器Z")
    private String zhengFaQiZ;

    /**
     * 组合聚醚
     */
    @Excel(name = "组合聚醚")
    private String zuHeJiMi;

    /**
     * 异氰酸酯
     */
    @Excel(name = "异氰酸酯")
    private String yiQingSuanZhi;

    /**
     * 温控器
     */
    @Excel(name = "温控器")
    private String wenKongQi;

    /**
     * 压缩机
     */
    @Excel(name = "压缩机")
    private String yaSuoQi;

    /**
     * 内冷凝器
     */
    @Excel(name = "内冷凝器")
    private String neiLengNingQi;

    /**
     * 外冷凝器
     */
    @Excel(name = "外冷凝器")
    private String waiLengNingQi;

    /**
     * 风机
     */
    @Excel(name = "风机")
    private String fengJi;

    /**
     * 毛细管
     */
    @Excel(name = "毛细管")
    private String maoXiGuan;

    /**
     * 电源线
     */
    @Excel(name = "电源线")
    private String dianYuanXian;

    /**
     * 电脑板
     */
    @Excel(name = "电脑板")
    private String dianNaoBan;

    /**
     * 灯座
     */
    @Excel(name = "灯座")
    private String dengZuo;

    /**
     * 门灯开关
     */
    @Excel(name = "门灯开关")
    private String menDengKaiGuan;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialModel(String materialModel) {
        this.materialModel = materialModel;
    }

    public String getMaterialModel() {
        return materialModel;
    }

    public void setInfoType(String infoType) {
        this.infoType = infoType;
    }

    public String getInfoType() {
        return infoType;
    }

    public void setZhengFaQiF(String zhengFaQiF) {
        this.zhengFaQiF = zhengFaQiF;
    }

    public String getZhengFaQiF() {
        return zhengFaQiF;
    }

    public void setZhengFaQiZ(String zhengFaQiZ) {
        this.zhengFaQiZ = zhengFaQiZ;
    }

    public String getZhengFaQiZ() {
        return zhengFaQiZ;
    }

    public void setZuHeJiMi(String zuHeJiMi) {
        this.zuHeJiMi = zuHeJiMi;
    }

    public String getZuHeJiMi() {
        return zuHeJiMi;
    }

    public void setYiQingSuanZhi(String yiQingSuanZhi) {
        this.yiQingSuanZhi = yiQingSuanZhi;
    }

    public String getYiQingSuanZhi() {
        return yiQingSuanZhi;
    }

    public void setWenKongQi(String wenKongQi) {
        this.wenKongQi = wenKongQi;
    }

    public String getWenKongQi() {
        return wenKongQi;
    }

    public void setYaSuoQi(String yaSuoQi) {
        this.yaSuoQi = yaSuoQi;
    }

    public String getYaSuoQi() {
        return yaSuoQi;
    }

    public void setNeiLengNingQi(String neiLengNingQi) {
        this.neiLengNingQi = neiLengNingQi;
    }

    public String getNeiLengNingQi() {
        return neiLengNingQi;
    }

    public void setWaiLengNingQi(String waiLengNingQi) {
        this.waiLengNingQi = waiLengNingQi;
    }

    public String getWaiLengNingQi() {
        return waiLengNingQi;
    }

    public void setFengJi(String fengJi) {
        this.fengJi = fengJi;
    }

    public String getFengJi() {
        return fengJi;
    }

    public void setMaoXiGuan(String maoXiGuan) {
        this.maoXiGuan = maoXiGuan;
    }

    public String getMaoXiGuan() {
        return maoXiGuan;
    }

    public void setDianYuanXian(String dianYuanXian) {
        this.dianYuanXian = dianYuanXian;
    }

    public String getDianYuanXian() {
        return dianYuanXian;
    }

    public void setDianNaoBan(String dianNaoBan) {
        this.dianNaoBan = dianNaoBan;
    }

    public String getDianNaoBan() {
        return dianNaoBan;
    }

    public void setDengZuo(String dengZuo) {
        this.dengZuo = dengZuo;
    }

    public String getDengZuo() {
        return dengZuo;
    }

    public void setMenDengKaiGuan(String menDengKaiGuan) {
        this.menDengKaiGuan = menDengKaiGuan;
    }

    public String getMenDengKaiGuan() {
        return menDengKaiGuan;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("orderCode", getOrderCode())
                .append("materialCode", getMaterialCode())
                .append("materialName", getMaterialName())
                .append("materialModel", getMaterialModel())
                .append("infoType", getInfoType())
                .append("zhengFaQiF", getZhengFaQiF())
                .append("zhengFaQiZ", getZhengFaQiZ())
                .append("zuHeJiMi", getZuHeJiMi())
                .append("yiQingSuanZhi", getYiQingSuanZhi())
                .append("wenKongQi", getWenKongQi())
                .append("yaSuoQi", getYaSuoQi())
                .append("neiLengNingQi", getNeiLengNingQi())
                .append("waiLengNingQi", getWaiLengNingQi())
                .append("fengJi", getFengJi())
                .append("maoXiGuan", getMaoXiGuan())
                .append("dianYuanXian", getDianYuanXian())
                .append("dianNaoBan", getDianNaoBan())
                .append("dengZuo", getDengZuo())
                .append("menDengKaiGuan", getMenDengKaiGuan())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
